Check Application Readiness

Returns the readiness status of the application, including individual component health summaries such as database and cache connectivity.

Headers
  • Authorization
    Type: string
    required

    Bearer token for API authorization. Send in the format: Bearer ACCESS_TOKEN_GOES_HERE.

Responses
  • application/json
Request Example for get/health/ready
curl https://SERVER_NAME_GOES_HERE.partech.com/health/ready \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE'
{
  "status": "string",
  "serviceVersion": "string",
  "duration": 0,
  "componentHealthSummary": [
    {
      "name": "string",
      "status": "string",
      "duration": 0,
      "error": "string",
      "result": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      }
    }
  ]
}